RTEMS: Associativity Routines

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Files | Data Structures | Macros | Functions
Associativity Routines
API

## Files
file | assoc.h
| RTEMS Associativity Routines.

## Data Structures
struct | rtems_assoc_t
struct | rtems_assoc_32_pair

## Macros
#define | RTEMS_ASSOC_DEFAULT_NAME "(default)"

## Functions
const rtems_assoc_t * | rtems_assoc_ptr_by_name (const rtems_assoc_t *, const char *)
| RTEMS Associate Pointer by Name.
const rtems_assoc_t * | rtems_assoc_ptr_by_remote (const rtems_assoc_t *, uint32_t)
| RTEMS Associate Pointer by Remote.
uint32_t | rtems_assoc_remote_by_local (const rtems_assoc_t *, uint32_t)
uint32_t | rtems_assoc_local_by_remote (const rtems_assoc_t *, uint32_t)
| RTEMS Associate Local by Remote.
uint32_t | rtems_assoc_remote_by_name (const rtems_assoc_t *, const char *)
| RTEMS Associate Remote by Name.
uint32_t | rtems_assoc_local_by_name (const rtems_assoc_t *, const char *)
| RTEMS Associate Local by Name.
const char * | rtems_assoc_name_by_local (const rtems_assoc_t *, uint32_t)
| RTEMS Associate Name by Local.
const char * | rtems_assoc_name_by_remote (const rtems_assoc_t *, uint32_t)
| RTEMS Associate Name by Remote.
uint32_t | rtems_assoc_remote_by_local_bitfield (const rtems_assoc_t *, uint32_t)
| RTEMS Assoc Routines.
char * | rtems_assoc_name_by_local_bitfield (const rtems_assoc_t *, uint32_t, char *)
| RTEMS Associate Name by Local Bitfield.
char * | rtems_assoc_name_by_remote_bitfield (const rtems_assoc_t *, uint32_t, char *)
| RTEMS Associate Name by Remote Bitfield.
uint32_t | rtems_assoc_local_by_remote_bitfield (const rtems_assoc_t *, uint32_t)
const rtems_assoc_t * | rtems_assoc_ptr_by_local (const rtems_assoc_t *ap, uint32_t local_value)
| RTEMS Associate Pointer by Local.
size_t | rtems_assoc_32_to_string (uint32_t value, char *buffer, size_t buffer_size, const rtems_assoc_32_pair *pairs, size_t pair_count, const char *separator, const char *fallback)
| Converts the specified value into a text representation.
size_t | rtems_assoc_thread_states_to_string (uint32_t states, char *buffer, size_t buffer_size)
| Converts the specified thread states into a text representation.

## Detailed Description

RTEMS associativity routines. Mainly used to convert a value from one space to another (eg: our errno's to host errno's and vice-versa)

## Function Documentation

## ◆ rtems_assoc_32_to_string()

size_t rtems_assoc_32_to_string | ( | uint32_t | value,
|  | char * | buffer,
|  | size_t | buffer_size,
|  | const rtems_assoc_32_pair * | pairs,
|  | size_t | pair_count,
|  | const char * | separator,
|  | const char * | fallback
| ) |  |

Converts the specified value into a text representation.

Parameters

  [in] | value | The value to convert.
  [in] | buffer | The buffer for the text representation.
  [in] | buffer_size | The buffer size in characters.
  [in] | pairs | Names for particular bits.
  [in] | pair_count | Count of pairs.
  [in] | separator | Separator between individual names.
  [in] | fallback | Fallback value in case no bits contained in the pairs are set in the value.

Return values

  The | length of the text representation. May be greater than or equal to the buffer size if truncation occurred.

## ◆ rtems_assoc_thread_states_to_string()

size_t rtems_assoc_thread_states_to_string | ( | uint32_t | states,
|  | char * | buffer,
|  | size_t | buffer_size
| ) |  |

Converts the specified thread states into a text representation.

Parameters

  [in] | states | The thread states to convert.
  [in] | buffer | The buffer for the text representation.
  [in] | buffer_size | The buffer size in characters.

Return values

  The | length of the text representation. May be greater than or equal to the buffer size if truncation occurred.